> ## Documentation Index
> Fetch the complete documentation index at: https://www.offlineprotocol.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Leaderboard



## OpenAPI

````yaml get /users/leaderboard
openapi: 3.1.0
info:
  title: Offline Protocol API
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.offlineprotocol.com/api/v1
security: []
paths:
  /users/leaderboard:
    get:
      summary: Leaderboard
      parameters:
        - name: page
          in: query
          schema:
            type: integer
        - name: limit
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      selfRank:
                        type: integer
                      totalUsers:
                        type: integer
                      users:
                        type: array
                        items:
                          $ref: '#/components/schemas/UserPoints'
      security:
        - bearerAuth: []
components:
  schemas:
    UserPoints:
      type: object
      properties:
        id:
          type: integer
        username:
          type: string
        totalPoints:
          type: number
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - username
        - createdAt
        - points
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````